# *****************************************************************
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2019 . All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# *****************************************************************

import os
import sys

def _is_mpi_enabled():
    val = os.getenv('OMPI_COMM_WORLD_LOCAL_RANK')
    if val is None:
        return False
    else:
        return True

using_mpi = _is_mpi_enabled()
if sys.version_info[0] < 3:
    if using_mpi:
        import libpywmdmpi2 as libpywmd
    else:
        import libpywmd2 as libpywmd
else:
    if using_mpi:
        import libpywmdmpi3 as libpywmd
    else:
        import libpywmd3 as libpywmd

